MysqlndUhConnection::getLastMessage
MysqlndUhConnection::getServerInformation
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getProtocolInformation

Returns the version of the MySQL protocol used

### Description

public string MysqlndUhConnection::getProtocolInformation ( mysqlnd_connection `$connection` )

Returns the version of the MySQL protocol used.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

The protocol version.

### Examples

Example #1 MysqlndUhConnection::getProtocolInformation example

`<?php
class proxy extends MysqlndUhConnection {
public function getProtocolInformation($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getProtocolInformation($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->protocol_version);
?>`

The above example will output:

    proxy::getProtocolInformation(array (
      0 => NULL,
    ))
    proxy::getProtocolInformation returns 10
    int(10)

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_get_proto_info
- mysql_get_proto_info